v0.1.0
OpenAPI 3.0.2

PaTMa

API documentation

Server:https://app.patma.co.uk

Production server

Client Libraries

asking-prices

/api/prospector/v1/asking-prices/

Find statistics (mean and median) for properties currently listed for sale, centred around a postcode or location.

Query Parameters
  • postcode
    Type: string

    A valid UK postcode

  • lat
    Type: number

    The latitude of a coordinate pair

  • long
    Type: number

    The longitude of a coordinate pair

  • bedrooms
    Type: integer
    required

    The number of bedrooms for a property

  • property_type
    Type: string enum
    required

    The type of property

    values
    • flat
    • terraced
    • semi-detached
    • detached
    • house
  • min_data_points
    Type: integer

    The minimum number of data points to find

Responses
  • application/json
  • application/json
Request Example for get/api/prospector/v1/asking-prices/
curl 'https://app.patma.co.uk/api/prospector/v1/asking-prices/?bedrooms=1&property_type=flat' \
  --header 'Authorization: YOUR_SECRET_TOKEN'
{
  "status": "success",
  "response_time": 1,
  "data": {
    "data_points": 1,
    "radius": 1,
    "mean": 1,
    "median": 1
  },
  "postcode": "string",
  "lat": 1,
  "long": 1,
  "bedrooms": 1,
  "property_type": "string"
}

/api/prospector/v1/asking-prices-floor-area/

Find price per floor area statistics (mean and median) for properties currently listed for sale, centred around a postcode or location.

Query Parameters
  • postcode
    Type: string

    A valid UK postcode

  • lat
    Type: number

    The latitude of a coordinate pair

  • long
    Type: number

    The longitude of a coordinate pair

  • bedrooms
    Type: integer
    required

    The number of bedrooms for a property

  • property_type
    Type: string enum
    required

    The type of property

    values
    • flat
    • terraced
    • semi-detached
    • detached
    • house
  • min_data_points
    Type: integer

    The minimum number of data points to find

Responses
  • application/json
  • application/json
Request Example for get/api/prospector/v1/asking-prices-floor-area/
curl 'https://app.patma.co.uk/api/prospector/v1/asking-prices-floor-area/?bedrooms=1&property_type=flat' \
  --header 'Authorization: YOUR_SECRET_TOKEN'
{
  "status": "success",
  "response_time": 1,
  "data": {
    "data_points": 1,
    "radius": 1,
    "mean_per_sqft": 1,
    "mean_per_sqm": 1,
    "median_per_sqft": 1,
    "median_per_sqm": 1
  },
  "postcode": "string",
  "lat": 1,
  "long": 1,
  "bedrooms": 1,
  "property_type": "string"
}

properties (Collapsed)

rental (Collapsed)

stamp-duty (Collapsed)

uprn (Collapsed)

Models